/*
   Aqui nesta parte temos a função (ou void) que gera o som da nota indicada (nota) já na frequência correta dentro do sistema temperado.
   A fórmula para calcular frequência de uma nota no sistema temperado é:   440 * pow(2.0, (notaDesejada - 57) / 12.0)
   Na função são utilizadas duas variáveis: uma é "nota" e a outra "duracao". 
   Observa-se que a duração do delay corresponde à duração da nota. OU seja, temos aqui um tenuto. 
*/


void tocaNota(int nota, int duracao)
{
  tone(pinoDoAutofalante, 440 * pow(2.0, (nota - 57) / 12.0), duracao);
  delay (duracao);

}
